%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define fetchmailconf 0

Summary: A remote mail retrieval and forwarding utility
Name: fetchmail
Version: 6.3.17
Release: 1%{?dist}
Requires: procmail
Source0: http://download.berlios.de/fetchmail/fetchmail-%{version}.tar.xz
Source1: http://download.berlios.de/fetchmail/fetchmail-%{version}.tar.xz.asc
URL: http://fetchmail.berlios.de/
# For a breakdown of the licensing, see COPYING
License: GPL+ and Public Domain
Group: Applications/Internet
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gettext-devel hesiod-devel krb5-devel openssl-devel procmail
%if ! %{fetchmailconf}
Obsoletes: fetchmailconf
%endif

%package -n fetchmailconf
Summary: A GUI utility for configuring your fetchmail preferences.
Group: Applications/Internet
Requires: python, tk, tkinter, fetchmail = %{version}-%{release}

%description
Fetchmail is a remote mail retrieval and forwarding utility intended
for use over on-demand TCP/IP links, like SLIP or PPP connections.
Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN, IPv6,
and IPSEC) for retrieval. Then Fetchmail forwards the mail through
SMTP so you can read it through your favorite mail client.

Install fetchmail if you need to retrieve mail over SLIP or PPP
connections.

%description -n fetchmailconf
Fetchmailconf is a Tcl/Tk GUI application that edits your .fetchmailrc
file in order to configure the fetchmail mail retrieval
program. Fetchmail's numerous options may be confusing to new users,
so fetchmailconf may help to clear up the confusion.

Install fetchmailconf if you need help configuring fetchmail. You'll
need to have Python and Tk installed in order to use fetchmailconf.

%prep
%setup -q

%build
%configure --enable-POP3 --enable-IMAP --with-ssl --with-hesiod \
	--enable-ETRN --enable-NTLM --enable-SDPS --enable-RPA \
	--enable-nls --with-kerberos5 --with-gssapi \
	--enable-fallback=procmail
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%if ! %{fetchmailconf}
rm -f $RPM_BUILD_ROOT%{_bindir}/fetchmailconf*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/fetchmailconf.1*
rm -f $RPM_BUILD_ROOT%{python_sitelib}/fetchmailconf.py*
%endif

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING FAQ FEATURES NEWS NOTES README README.SSL TODO
%{_bindir}/fetchmail
%{_mandir}/man1/fetchmail.1*

%if %{fetchmailconf}
%files -n fetchmailconf
%defattr(-,root,root)
%{_bindir}/fetchmailconf
%{python_sitelib}/fetchmailconf.py*
%{_mandir}/man1/fetchmailconf.1*
%endif


%changelog

